import { api } from '~/utils/axios';

/**
 * 获取角色列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getRoleList(data) {
  return api.post('Role.Role/getRoleList', data)
}
/**
 * 重置角色密码
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteRole(data) {
  return api.post('Role.Role/deleteRole', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败',
  })
}
/**
 * 更新角色状态
 * @param {Object} data
 * @return {Promise} api
 */
export function updateRoleStatus(data) {
  return api.post('Role.Role/updateRoleStatus', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '更新失败',
  })
}
/**
 * 添加角色
 * @param {Object} data
 * @return {Promise} api
 */
export function addRole(data) {
  return api.post('Role.Role/addRole', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败',
  })
}
/**
 * 编辑角色
 * @param {Object} data
 * @return {Promise} api
 */
export function editRole(data) {
  return api.post('Role.Role/editRole', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败',
  })
}
